precision mediump float;

attribute vec3 vertPosition;
attribute vec3 vertColor;

uniform mat4 realModelViewMatrix;
uniform mat4 realProjectionMatrix;

varying vec3 vPosition;

void main() {
	vPosition = vertPosition;
	gl_Position = realProjectionMatrix * realModelViewMatrix * vec4(vertPosition, 1.0);
}